// http://akelpad.sourceforge.net/forum/viewtopic.php?p=8663#8663
// Description(1033): Run the script from his own menu of some scripts
// Description(1049): Запуск скрипта из собственного меню избранных скриптов
// Version: 1.7 (2015.04.10)
// Author: VladSh
// 
// Arguments:
// 	см. скрипт ShowMenuEx.js
// 	
// Usage:
// 	Call("Scripts::Main", 1, "ExecuteScriptMenu.js", `-configFile="LS.ini"`)           - menu is displayed from LS.ini
// 	Call("Scripts::Main", 1, "ExecuteScriptMenu.js", `-configFile="LS.ini" -place=-2`) - menu is displayed from LS.ini at the cursor position (see constants in ShowMenuEx.js)

if (WScript.Arguments.length == 0) WScript.Quit();

if (!AkelPad.Include("ShowMenuEx.js")) WScript.Quit();

var pPLACE = AkelPad.GetArgValue("place", "");
if (pPLACE == "") pPLACE = POS_CARET;		// если ничего не передано, то отталкиваемся от позиции каретки

var pScriptName = getSelectedMenuItem(pPLACE, false);
if (pScriptName) {
	checkFilePath("Скрипт", getScriptNameFull(pScriptName));
	AkelPad.Call("Scripts::Main", 1, pScriptName);
}

function getScriptNameFull(pScriptNameShort) {
	return AkelPad.GetAkelDir(5) + "\\" + pScriptNameShort;
}